classification
Title: ./Modules/ld_so_aix not found on AIX during test_distutils
Type: Stage: resolved
Components: Build, Distutils Versions: Python 3.3, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, kadler, lemburg, steve.dower
Priority: normal Keywords:

Created on 2014-12-10 12:30 by lemburg, last changed 2021-02-03 18:03 by steve.dower. This issue is now closed.

Messages (5)
msg232420 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2014-12-10 12:30
Here's the traceback from one of the AIX buildbots:

[ 32/400] test_distutils
unable to execute './Modules/ld_so_aix': No such file or directory
[22429 refs]
test test_distutils failed -- Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/2.7.edelsohn-aix-ppc64/build/Lib/distutils/tests/test_build_ext.py", line 285, in test_get_outputs
    cmd.run()
  File "/home/shager/cpython-buildarea/2.7.edelsohn-aix-ppc64/build/Lib/distutils/command/build_ext.py", line 337, in run
    self.build_extensions()
  File "/home/shager/cpython-buildarea/2.7.edelsohn-aix-ppc64/build/Lib/distutils/command/build_ext.py", line 446, in build_extensions
    self.build_extension(ext)
  File "/home/shager/cpython-buildarea/2.7.edelsohn-aix-ppc64/build/Lib/distutils/command/build_ext.py", line 528, in build_extension
    target_lang=language)
  File "/home/shager/cpython-buildarea/2.7.edelsohn-aix-ppc64/build/Lib/distutils/ccompiler.py", line 691, in link_shared_object
    extra_preargs, extra_postargs, build_temp, target_lang)
  File "/home/shager/cpython-buildarea/2.7.edelsohn-aix-ppc64/build/Lib/distutils/unixccompiler.py", line 200, in link
    raise LinkError, msg
LinkError: command './Modules/ld_so_aix' failed with exit status 1

(this is the build: http://buildbot.python.org/all/builders/PPC64%20AIX%202.7/builds/917)

This appears to be related to issue18235 which was only fixed for 3.3 and 3.4. I guess a backport should fix the problem for Python 2.7 as well, but cannot test this.

The result of traceback is AIX Python 2.7 always failing on the buildbot waterfall: http://buildbot.python.org/all/builders/PPC64%20AIX%202.7
msg232421 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2014-12-10 12:37
The problem also still exists on Python 3.4 (and probably 3.3 and 3.5 as well), even though these should have the patch from issue18235 applied:

 * http://buildbot.python.org/all/builders/PPC64%20AIX%203.4/builds/707
 * http://buildbot.python.org/all/builders/PPC64%20AIX%203.4/builds/707/steps/test/logs/stdio

Traceback:

Traceback (most recent call last):
  File "/home/shager/cpython-buildarea/3.4.edelsohn-aix-ppc64/build/Lib/distutils/tests/test_build_ext.py", line 58, in test_build_ext
    cmd.run()
  File "/home/shager/cpython-buildarea/3.4.edelsohn-aix-ppc64/build/Lib/distutils/command/build_ext.py", line 339, in run
    self.build_extensions()
  File "/home/shager/cpython-buildarea/3.4.edelsohn-aix-ppc64/build/Lib/distutils/command/build_ext.py", line 448, in build_extensions
    self.build_extension(ext)
  File "/home/shager/cpython-buildarea/3.4.edelsohn-aix-ppc64/build/Lib/distutils/command/build_ext.py", line 535, in build_extension
    target_lang=language)
  File "/home/shager/cpython-buildarea/3.4.edelsohn-aix-ppc64/build/Lib/distutils/ccompiler.py", line 717, in link_shared_object
    extra_preargs, extra_postargs, build_temp, target_lang)
  File "/home/shager/cpython-buildarea/3.4.edelsohn-aix-ppc64/build/Lib/distutils/unixccompiler.py", line 196, in link
    raise LinkError(msg)
distutils.errors.LinkError: command './Modules/ld_so_aix' failed with exit status 1
msg232422 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2014-12-10 12:38
Note that the helper Modules/ld_so_aix is created during configure. Just the path to the helper in the sysconfig data is wrong (relative to the current dir, which will most likely always be wrong except for a few special situations such as when building Python itself).
msg381256 - (view) Author: Kevin (kadler) * Date: 2020-11-17 17:03
Is this issue still relevant? I can't find any current buildbot errors on AIX for this test.
msg386230 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:03
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:03:22steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386230

resolution: out of date
stage: resolved
2020-11-17 17:03:16kadlersetnosy: + kadler
messages: + msg381256
2014-12-10 12:38:56lemburgsetmessages: + msg232422
2014-12-10 12:37:22lemburgsetmessages: + msg232421
versions: + Python 3.3, Python 3.4, Python 3.5
2014-12-10 12:30:33lemburgcreate